<div class="login-page">
  
  <img src="../../assets/charizard.jpg" id="login-img">

  <form [formGroup]="loginForm" class="login-form" (ngSubmit)="onSubmit(loginForm)">
    <h3>LOGIN</h3>
    <app-custom-input 
      formControlName="email" 
      type="email" 
      labelFor="email" 
      placeholder="enter email"
    ></app-custom-input>
    <span *ngIf="loginForm.get('email')!.hasError('required') || loginForm.get('email')!.hasError('email')">*Email is required</span>

    <app-custom-input formControlName="password"
     type="password" 
     labelFor="Password" 
      placeholder="enter password">
    </app-custom-input>
    <span *ngIf="loginForm.get('password')!.hasError('required') || loginForm.get('password')!.hasError('minlength')">*Password is required</span>

    <app-custom-button buttonText="Login" [form]="loginForm"></app-custom-button>

  </form>
</div>